"use strict";
cc._RF.push(module, '80574q03RhL9J5tiEMwVBD2', 'GameMgr');
// script/GameMgr.ts

"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameMgr = void 0;
var GlobalTouchListener_1 = require("./GlobalTouchListener");
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var GameMgr = /** @class */ (function (_super) {
    __extends(GameMgr, _super);
    function GameMgr() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.globalTouchListener = null;
        _this.infoLb = null;
        return _this;
    }
    GameMgr.prototype.onEnable = function () {
        this.globalTouchListener.on(cc.Node.EventType.TOUCH_END, this.onGloablTouchEnd, this);
    };
    GameMgr.prototype.onDisable = function () {
        this.globalTouchListener.off(cc.Node.EventType.TOUCH_END, this.onGloablTouchEnd, this);
    };
    GameMgr.prototype.onGloablTouchEnd = function (touch, event) {
        this.infoLb.string += "G";
    };
    GameMgr.prototype.onBlueBtnClicked = function (event, str) {
        this.infoLb.string += "B";
    };
    GameMgr.prototype.onRedBtnClicked = function (event, str) {
        this.infoLb.string += "R";
    };
    __decorate([
        property(GlobalTouchListener_1.GlobalTouchListener)
    ], GameMgr.prototype, "globalTouchListener", void 0);
    __decorate([
        property(cc.Label)
    ], GameMgr.prototype, "infoLb", void 0);
    GameMgr = __decorate([
        ccclass
    ], GameMgr);
    return GameMgr;
}(cc.Component));
exports.GameMgr = GameMgr;

cc._RF.pop();